libzypp: zypp::ContentReaderHelper Struct Reference

libzypp 17.38.11

zypp::ContentReaderHelper Struct Reference
Inheritance diagram for zypp::ContentReaderHelper:

## Public Member Functions
| ContentReaderHelper ()
void | consumeIndex (const parser::susetags::RepoIndex_Ptr &data_r)
Public Member Functions inherited from zypp::parser::susetags::ContentFileReader
| ContentFileReader ()
| Default ctor.
virtual | ~ContentFileReader ()
| Dtor.
virtual void | parse (const InputStream &imput_r, const ProgressData::ReceiverFnc &fnc_r=ProgressData::ReceiverFnc())
| Parse the stream.
void | setRepoIndexConsumer (const RepoIndexConsumer &fnc_r)
| Consumer to call when repo index was parsed.

## Public Attributes
parser::susetags::RepoIndex_Ptr | _repoindex

## Additional Inherited Members
Public Types inherited from zypp::parser::susetags::ContentFileReader
using | RepoIndexConsumer = function<void (const RepoIndex_Ptr &)>
Protected Member Functions inherited from zypp::parser::susetags::ContentFileReader
virtual void | beginParse ()
| Called when start parsing.
virtual void | endParse ()
| Called when the parse is done.
virtual void | userRequestedAbort (unsigned lineNo_r)
| Called when user(callback) request to abort.
std::string | errPrefix (unsigned lineNo_r, const std::string &msg_r=std::string(), const std::string &line_r="-") const
| Prefix exception message with line information.

## Detailed Description

Definition at line 642 of file Fetcher.cc.

## Constructor & Destructor Documentation

## ◆ ContentReaderHelper()

zypp::ContentReaderHelper::ContentReaderHelper | ( |  | ) |
| inline

Definition at line 644 of file Fetcher.cc.

## Member Function Documentation

## ◆ consumeIndex()

void zypp::ContentReaderHelper::consumeIndex | ( | const parser::susetags::RepoIndex_Ptr & | data_r | ) |
| inline

Definition at line 649 of file Fetcher.cc.

## Member Data Documentation

## ◆ _repoindex

parser::susetags::RepoIndex_Ptr zypp::ContentReaderHelper::_repoindex

Definition at line 652 of file Fetcher.cc.

The documentation for this struct was generated from the following file:

- zypp/Fetcher.cc